V1 APIConfiguration
List group sets
Account-wide and property-scoped group-set definitions available to the property, including their nested group trees.
GET
/api/v1/property/{property}/groupsAccount-wide and property-scoped group-set definitions available to the property, including their nested group trees.
Path Parameters
property*string
Property UUID. This route is unauthenticated and unscoped, so it does not accept a slug — to address a property by slug, use /api/v1/connection/{connection}/property/{property}.
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v1/property/019dbc38-d49e-7310-95d4-711a5b7a4b40/groups"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "key": "string", "objectType": "property", "allowsMultipleMembership": true, "propertyId": "8e8b8450-dc1b-4360-8109-7067337b42cb", "groups": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "slug": "string", "description": "string", "color": "string", "sortOrder": 0, "children": [ {} ] } ] } ]}